<?php import_file(DIR_TEMPLATES."header.php", ["title" => "Dashboard"]); ?>
<?php import_file(DIR_MODELS."Model.class.php"); ?>

<div class="row align-items-center mb-3">
	<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
		<h4 class="mb-3 mb-md-0">
			Seja Bem-Vindo <?php echo first_name(Session::get("nome_usuario"))." <span class='badge badge-primary'>Seu ID: ".Session::get("id_usuario")."</span>"; ?>
		</h4>
	</div>
	<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
		<?php if (Session::get("tipo_usuario") == "1" or (Session::get("tipo_usuario") == "2" and Session::get("usuario_ativo") == "S")): ?>
			<div>
				<div class="input-group">
					<div class="input-group-prepend">
						<div class="input-group-text font-weight-bold">
							<div class="fa-regular fa-link"></div>
						</div>
					</div>
					<input type="text" id="seu-codigo" class="form-control" value="<?php echo (isset($_SERVER["HTTPS"]) ? "https" : "http")."://".$_SERVER["HTTP_HOST"].URL_BASE."/cadastro-usuario/?indicador=".urlencode(encrypt_encode(Session::get("id_usuario"))); ?>" readonly>
					<div class="input-group-append">
						<button type="button" id="btn-copiar" class="btn btn-primary">
							<i class="fa-regular fa-user-plus"></i> INDIQUE AMIGOS
						</button>
					</div>
				</div>
				<span class="form-text">Indique amigos e amplie o seu time e os seus ganhos!</span>
			</div>
			<script>
				$("#btn-copiar").click(function(){
					var input = $("#seu-codigo");
					input.select();
					document.execCommand("copy");
					input.click();

					$.toast({
						heading: "Aviso",
						text: "Link Copiado!",
						icon: "success",
						hideAfter: 2000,
						loader: true
					});
				});
			</script>
		<?php endif; ?>
	</div>
</div>

<?php 

	$model = new Model();

	$result = $model->query("
		SELECT * FROM slide_home_page 
		WHERE 
			tipo_slide_home_page = 'Interno'
	");

	$count = 0;

?>

<div id="slide-header" class="carousel slide carousel-fade mb-4" data-ride="carousel" style="border-radius: 0.25rem;">
	<div class="carousel-inner">
		<?php foreach ($result->fetchAll() as $i): ?>
			<div class="carousel-item <?php echo ($count == 0) ? "active" : ""; ?>">
				<?php if (!empty($i->link_slide_home_page) and $i->link_slide_home_page !== "#"): ?>
					<a href="<?php echo $i->link_slide_home_page; ?>" target="_blank">
						<img src="<?php echo show_link($i->imagem_slide_home_page); ?>" class="carousel-img-custom" style="border-radius: 0.25rem;">
					</a>
				<?php else: ?>
					<img src="<?php echo show_link($i->imagem_slide_home_page); ?>" class="carousel-img-custom" style="border-radius: 0.25rem;">
				<?php endif; ?>
			</div>
			<?php $count++; ?>
		<?php endforeach; ?>
	</div>
	<a class="carousel-control-prev" href="#slide-header" role="button" data-slide="prev">
		<span class="carousel-control-prev-icon" aria-hidden="true"></span>
		<span class="sr-only">Previous</span>
	</a>
	<a class="carousel-control-next" href="#slide-header" role="button" data-slide="next">
		<span class="carousel-control-next-icon" aria-hidden="true"></span>
		<span class="sr-only">Next</span>
	</a>
</div>

<?php if (Session::get("tipo_usuario") == "2" and Session::get("usuario_ativo") == "N"): ?>
<?php import_file(DIR_LIBRARIES."functions.php"); ?>

<?php $config = obter_configuracao(); ?>

<div class="content-box">
	<div class="alert alert-info my-2">
		<h5 class="mb-3">Realize o pagamento da Adesão para poder desfrutar de todos os serviços e produtos oferecidos pela <?php echo SYS_NAME; ?>!</h5>

		<p>Para realizar o pagamento da sua adesão clique no botão <i>"Realizar Pagamento"</i> logo a baixo, após realizar o pagamento da sua adesão espere um prazo de até 24 horas para a liberação do seu usuário.</p>

		<?php

			$result = $model->query("SELECT * FROM usuario WHERE id_usuario = :id", [":id" => Session::get("id_usuario")]);

			if ($result->rowCount() == 0) {
				Session::destroy();
				echo "<script>window.location.href = '".URL_BASE."/';</script>";
			}

			$i = $result->fetch();

			if ($i->usuario_ativo == "S") {
				Session::set("usuario_ativo", $i->usuario_ativo);
				echo "<script>window.location.reload();</script>";
			}

		?>

		<?php if (empty($i->link_pagamento_adesao)): ?>
			<form action="<?php echo show_link("/pagamento-adesao/"); ?>" method="post">
				<button type="submit" class="btn btn-success btn-lg">
					<i class="fa-regular fa-hand-holding-usd"></i> Realizar Pagamento
				</button>
			</form>
		<?php elseif (empty($i->codigo_transacao_adesao)): ?>
			<a href="<?php echo $i->link_pagamento_adesao; ?>" class="btn btn-success btn-lg">
				<i class="fa-regular fa-hand-holding-usd"></i> Realizar Pagamento
			</a>
		<?php else: ?>
			<button type="button" class="btn btn-success btn-lg" disabled>
				Aguardando Confirmação do Pagamento
			</button>
		<?php endif; ?>
	</div>
</div>

<script>
	setInterval(function(){
		window.location.reload();
	}, 10000);

	if ($_GET("transacao") != "") {
		window.history.pushState("", "", "<?php echo show_link("/"); ?>");
	}
</script>
<?php endif; ?>

<?php if (Session::get("tipo_usuario") == "1" or (Session::get("tipo_usuario") == "2" and Session::get("usuario_ativo") == "S")): ?>
<?php import_file(DIR_LIBRARIES."functions.php"); ?>
<?php $config = obter_configuracao(); ?>

<div class="row align-items-center">
	<div class="col-xl-8 col-lg-8 col-md-6 col-sm-12">
		<div class="card bg-success text-white o-hidden h-100 my-2">
			<div class="card-body">
				<div class="card-body-icon">
					<i class="fa-regular fa-money-check-alt"></i>
				</div>
				<div class="form-row align-items-center">
					<div class="col-6">
						<h5 class="mb-0">Seu Saldo</h5>
					</div>
					<div class="col-6 text-right">
						<h5 class="mb-0">
							<strong><?php echo money_mask_BR(obter_saldo(Session::get("id_usuario"))); ?></strong>
						</h5>
					</div>
				</div>
			</div>
			<div class="card-footer">
				<?php if ($config->periodo_saque == "N" or in_array(date("d"), explode(",", preg_replace("/[^\d\,]/", "", $config->dias_saque)))): ?>
					<button type="button" id="solicitar-saque" class="btn btn-link text-white" style="text-decoration: none; padding: 0.375rem 0.75rem 0.375rem 0;">
						<i class="fa-regular fa-sack-dollar"></i> Solicitar Saque
					</button>
				<?php else: ?>
					<button type="button" id="solicitacao-indisponivel" class="btn btn-link text-white" style="text-decoration: none; padding: 0.375rem 0.75rem 0.375rem 0;">
						<i class="fa-regular fa-sack-dollar"></i> Solicitar Saque
					</button>
				<?php endif; ?>

				<button type="button" id="transferir-dinheiro" class="btn btn-link text-white" style="text-decoration: none; padding: 0.375rem 0.75rem 0.375rem 0;">
					<i class="fa-regular fa-envelope-open-dollar"></i> Transferir Saldo
				</button>

				<button type="button" id="comprar-saldo" class="btn btn-link text-white" style="text-decoration: none; padding: 0.375rem 0.75rem 0.375rem 0;">
					<i class="fa-regular fa-plus"></i> Comprar Saldo
				</button>
			</div>
		</div>
	</div>

	<div class="col-xl-4 col-lg-4 col-md-6 col-sm-12">
		<div class="card text-dark bg-light o-hidden h-100 my-2">
			<div class="card-body">
				<div class="card-body-icon">
					<i class="fa-regular fa-file-certificate"></i>
				</div>
				<h5 class="mb-0">Situação</h5>
			</div>
			<div class="card-footer bg-light text-dark">
				<h6 class="mb-0 <?php echo (qualificado(Session::get("id_usuario"))) ? "text-success" : "text-danger"; ?>">
					<?php echo (qualificado(Session::get("id_usuario"))) ? "Qualificado" : "Não Qualificado"; ?>
				</h6>
			</div>
		</div>
	</div>

	<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
		<div class="accordion my-2" id="lista-indicacao">
			<div class="card bg-warning text-white o-hidden h-100" style="border-radius: 5px;">
				<div  id="minha-indicacao" class="card-header collapsed" data-toggle="collapse" data-target="#collapse-minha" aria-expanded="true" aria-controls="collapse-minha" style="cursor: pointer;">
					<div class="card-body-icon">
						<i class="fa-regular fa-users"></i>
					</div>
					<h5 class="mb-0">Minhas Indicações</h5>
				</div>

				<div id="collapse-minha" class="collapse" aria-labelledby="minha-indicacao" data-parent="#lista-indicacao">
					<div class="card-body">
						<?php

							$result = $model->query("
								SELECT * FROM usuario 
								WHERE 
									id_tipo_usuario = 2 AND 
									id_indicador = :id AND 
									status_usuario = 'S' AND 
									usuario_ativo = 'S' 
								ORDER BY 
									id_usuario DESC
							", [
								":id" => Session::get("id_usuario")
							]);

							$n = 1;	

						?>
						
						<div class="h6">Últimos Indicados</div>
						<div class="table-responsive">
							<table class="table table-sm table-striped bg-white">
								<thead>
									<tr>
										<th class="text-center align-middle">ID</th>
										<th class="text-center align-middle">Nome</th>
										<th class="text-center align-middle">Telefone</th>
										<th class="text-center align-middle">E-Mail</th>
										<th class="text-center align-middle">Status</th>
									</tr>
								</thead>
								<tbody>
									<?php foreach ($result->fetchAll() as $i): ?>
										<tr>
											<td class="text-center align-middle"><?php echo $i->id_usuario; ?></td>
											<td class="text-center align-middle"><?php echo $i->nome_usuario; ?></td>
											<td class="text-center align-middle"><?php echo $i->telefone_usuario; ?></td>
											<td class="text-center align-middle"><?php echo $i->email_usuario; ?></td>
											<td class="text-center align-middle">
												<div class="badge <?php echo (qualificado($i->id_usuario)) ? "badge-success" : "badge-danger"; ?>">
													<?php echo (qualificado($i->id_usuario)) ? "Qualificado" : "Não Qualificado"; ?>
												</div>
											</td>
										</tr>
										<?php 

											if ($n == 5) {
												break;
											}

											$n += 1;

										?>
									<?php endforeach; ?>
								</tbody>
							</table>
						</div>
						<a href="<?php echo show_link("/minhas-indicacoes/"); ?>" class="mt-3 mb-0 text-white">Ver todas as minhas indicações</a>
					</div>
				</div>
				<div class="card-footer bg-warning text-white">
					<div class="mr-auto">
						<?php echo "Você contém ".$result->rowCount()." indicações."; ?>
					</div>
				</div>
			</div>
		</div>
	</div>

	<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
		<div class="card text-white bg-info o-hidden h-100 my-2">
			<div class="card-body">
				<div class="card-body-icon">
					<i class="fad fa-calculator"></i>
				</div>
				<h5 class="mb-0">Valor Previsto para <?php echo utf8_encode(ucfirst(strftime("%B de %Y", strtotime(date("Y-m-t"))))); ?></h5>
			</div>
			<div class="card-footer bg-info">
				<span id="valor-calculado" class="text-white"><?php echo money_mask_BR(obter_valor_previsto(Session::get("id_usuario"))); ?></span>
			</div>
		</div>
	</div>
</div>

<!-- Modal Comprar Saldo -->
<div class="modal fade" id="modal-comprar-saldo" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog modal-lg" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">
					<i class="fa-regular fa-plus"></i> Comprar Saldo
				</h5>
			</div>
			<div class="modal-body" id="modal-content">
				<form id="form-comprar-saldo">
					<div class="form-group">
						<label for="valor-saldo">Valor<span class="text-danger">*</span></label>
						<div class="input-group">
							<div class="input-group-prepend">
								<div class="input-group-text">
									<i class="fa-regular fa-dollar-sign"></i>
								</div>
							</div>
							<input type="text" name="valor_saldo" id="valor-saldo" class="form-control" required>
						</div>
					</div>

					<div class="form-group">
						<label for="forma-pagamento">Forma de Pagamento<span class="text-danger">*</span></label>
						<select name="forma_pagamento" id="forma-pagamento" class="form-control" required>
							<option value="">Selecione um...</option>
							<option value="Transferência Bancária">Transferência Bancária</option>
							<option value="PagSeguro">PagSeguro</option>
						</select>
					</div>

					<div id="info-bancaria" class="alert mt-3 mb-0" style="display: none; border: 1px solid rgba(0,0,0,0.125); border-radius: 0.25rem;">
						<h5 class="mb-3">
							<?php echo $config->nome_banco; ?>
						</h5>

						<p class="mb-0">
							<strong>Agência:</strong> <?php echo $config->numero_agencia; ?>
						</p>
						<p class="mb-0">
							<strong>Conta:</strong> <?php echo $config->numero_conta; ?>
						</p>
						<p>
							<strong>PIX:</strong> <?php echo $config->pix; ?>
						</p>

						<p class="mb-0">
							<strong>Razão Social:</strong> <?php echo $config->razao_social; ?>
						</p>
						<p>
							<strong>CNPJ:</strong> <?php echo $config->cnpj_empresa; ?>
						</p>
						<p class="mb-0">
							<strong>Aviso:</strong> 
							Envie o comprovante de transferência bancária no e-mail 
							<a href="javascript:void(0)" onclick="copyText('<?php echo $config->email_confirmacao; ?>', function(){
								$.toast({
									heading: 'Aviso',
									text: 'E-mail copiado com sucesso!',
									icon: 'success',
									hideAfter: 5000,
									loader: true
								})
							})">
								<?php echo $config->email_confirmacao; ?>
							</a> 
							em até 72h para está cofirmando o seu pagamento!
						</p>
					</div>

					<button type="submit" class="btn btn-success my-2">
						<i class="fa-regular fa-check"></i> Confirmar
					</button>
					<button type="button" class="btn btn-danger my-2 cancelar-comprar-saldo">
						<i class="fa-regular fa-times"></i> Cancelar
					</button>
				</form>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-white cancelar-comprar-saldo">
					<i class="fa-regular fa-times"></i> Cancelar
				</button>
			</div>
		</div>
	</div>
</div>

<script>
	$("#comprar-saldo").click(function(){
		$("#modal-comprar-saldo").modal("show");
	});

	$(".cancelar-comprar-saldo").click(function(){
		$("#modal-comprar-saldo").modal("hide");

		$("#form-comprar-saldo").each(function(){
			this.reset();
		});

		$("#info-bancaria").fadeOut(0);
	});

	$("#forma-pagamento").change(function(){
		if ($(this).val() == "Transferência Bancária") {
			$("#info-bancaria").fadeIn(0);
		}
		else{
			$("#info-bancaria").fadeOut(0);
		}
	});

	$("#form-comprar-saldo").submit(function(event){
		event.preventDefault();
		var form = $(this);

		$.ajax({
			type: "POST",
			data: form.serialize(),
			url: "<?php echo show_link("/comprar-saldo/"); ?>",
			async: true
		}).then(function(response){
			var result = $.parseJSON(response);

			if (result.status == true) {
				form.each(function(){
					this.reset();
				});

				$("#modal-comprar-saldo").modal("hide");

				if (result.form_payment == "PagSeguro") {
					window.location.href = result.link;
				}

				$.toast({
					heading: "Aviso",
					text: "Compra de Saldo Realizada com Sucesso!",
					icon: "success",
					loader: true
				});
			}
			else if (result.status == false && result.reason == "valor_maior_zero") {
				$("#valor-saldo").addClass("is-warning");
				$.toast({
					heading: "Aviso",
					text: "O valor solicitado deve ser maior que zero!",
					icon: "warning",
					loader: true
				});
				$("#valor-saldo").keyup(function(){
					$(this).removeClass("is-warning");
					$(this).off("keyup");
				});
			}
			else{
				$.toast({
					heading: "Aviso",
					text: "Erro ao Realizar a Compra de Saldo!",
					icon: "error",
					loader: true
				});
			}
		}, function(error){
			console.log("Erro: "+error);
		});
	});

	$("#valor-saldo").mask("#.##0,00", {reverse: true});
</script>

<?php if ($config->periodo_saque == "N" or in_array(date("d"), explode(",", preg_replace("/[^\d\,]/", "", $config->dias_saque)))): ?>
	<!-- Modal Solicitar Saque -->
	<div class="modal fade" id="modal-solicitar-saque" tabindex="-1" role="dialog" aria-hidden="true">
		<div class="modal-dialog modal-lg" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title">
						<i class="fa-regular fa-sack-dollar"></i> Solicitar Saque
					</h5>
				</div>
				<div class="modal-body" id="modal-content">
					<div class="d-flex justify-content-between align-items-center">
						<p><strong>Valor mínimo para saque:</strong> <?php echo money_mask_BR($config->valor_minimo_saque); ?></p>
						<?php if ($config->cobrar_taxa == "S"): ?>
							<?php if ($config->taxa_fixa == "S"): ?>
								<p><strong>Taxa de saque:</strong> <?php echo money_mask_BR($config->valor_taxa); ?></p>
							<?php else: ?>
								<p><strong>Taxa de saque:</strong> <?php echo "%".intval($config->valor_taxa); ?></p>
							<?php endif; ?>
						<?php endif; ?>
					</div>
					<div class="alert mb-3" style="border: 1px solid rgba(0,0,0,0.125); border-radius: 0.25rem;">
						<strong><i class="fa-regular fa-exclamation-circle"></i> Aviso</strong><br>
						<?php if ($config->cobrar_taxa == "S"): ?>
							O valor da taxa de saque será descontado do valor solicitado.<br>
						<?php endif ?>
						O prazo para depósito na conta é de até 15 dias após a data da solicitação.
					</div>
					<form id="form-solicitar-saque">
						<div class="form-group">
							<label for="valor-saque">Valor<span class="text-danger">*</span></label>
							<div class="input-group">
								<div class="input-group-prepend">
									<div class="input-group-text"><i class="fa-regular fa-dollar-sign"></i></div>
								</div>
								<input type="text" name="valor_saque" id="valor-saque" class="form-control" required>
							</div>
						</div>

						<button type="button" id="confirmar-solicitar-saque" class="btn btn-success my-2">
							<i class="fa-regular fa-check"></i> Confirmar
						</button>
						<button type="button" class="btn btn-danger my-2 cancelar-solicitar-saque">
							<i class="fa-regular fa-times"></i> Cancelar
						</button>
					</form>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-white cancelar-solicitar-saque">
						<i class="fa-regular fa-times"></i> Cancelar
					</button>
				</div>
			</div>
		</div>
	</div>

	<!-- Modal Confirmar Saque -->
	<div class="modal fade" id="modal-confirmar-solicitar-saque" tabindex="-1" role="dialog" aria-hidden="true">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title">
						<i class="fa-regular fa-exclamation-triangle"></i> Aviso
					</h5>
				</div>
				<div class="modal-body">
					<p id="modal-text">Tem certeza que deseja <strong>CONFIRMAR</strong> essa Solicitação de Saque?</p>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-white" data-dismiss="modal" onclick="$('#form-solicitar-saque').submit();">
						<i class="fa-regular fa-check"></i> Sim
					</button>
					<button type="button" class="btn btn-white" data-dismiss="modal">
						<i class="fa-regular fa-times"></i> Não
					</button>
				</div>
			</div>
		</div>
	</div>

	<script>
		$("#solicitar-saque").click(function(){
			$("#modal-solicitar-saque").modal("show");
		});

		$("#confirmar-solicitar-saque").click(function(){
			if ($("#valor-saque").val() != "") {
				$("#modal-confirmar-solicitar-saque").modal("show");
			}
			else{
				$("#valor-saque").addClass("is-warning");
				$.toast({
					heading: "Aviso",
					text: "Preencha o valor que deseja sacar!",
					icon: "warning",
					loader: true
				});
				$("#valor-saque").keyup(function(){
					$(this).removeClass("is-warning");
					$(this).off("keyup");
				});
			}
		});

		$(".cancelar-solicitar-saque").click(function(){
			$("#modal-solicitar-saque").modal("hide");

			$("#form-solicitar-saque").each(function(){
				this.reset();
			});
		});

		$("#form-solicitar-saque").submit(function(event){
			event.preventDefault();
			var form = $(this);

			$.ajax({
				type: "POST",
				data: form.serialize(),
				url: "<?php echo show_link("/solicitar-saque/"); ?>",
				async: true
			}).then(function(response){
				var result = $.parseJSON(response);
				if (result.status == true) {
					form.each(function(){
						this.reset();
					});

					$("#modal-solicitar-saque").modal("hide");

					window.location.href = "?solicitar=true";
				}
				else if (result.status == false && result.motivo == "valor_maior_zero") {
					$("#valor-transferencia").addClass("is-warning");
					$.toast({
						heading: "Aviso",
						text: "O valor solicitado deve ser maior que zero!",
						icon: "warning",
						loader: true
					});
					$("#valor-transferencia").keyup(function(){
						$(this).removeClass("is-warning");
						$(this).off("keyup");
					});
				}
				else if (result.status == false && result.motivo == "valor") {
					$("#valor-transferencia").addClass("is-warning");
					$.toast({
						heading: "Aviso",
						text: "Saldo insuficiente!",
						icon: "warning",
						loader: true
					});
					$("#valor-transferencia").keyup(function(){
						$(this).removeClass("is-warning");
						$(this).off("keyup");
					});
				}
				else if (result.status == false && result.motivo == "valor_minimo_saque") {
					$.toast({
						heading: "Aviso",
						text: "O valor do saque tem que ser maior ou igual a <?php echo money_mask_BR($config->valor_minimo_saque); ?>!",
						icon: "warning",
						hideAfter: 5000,
						loader: true
					});
				}
				else if (result.status == false && result.motivo == "dados_bancarios") {
					$.toast({
						heading: "Aviso",
						text: "É necessário cadastrar uma conta bancária, vá em perfil e atualize os seus dados!",
						icon: "warning",
						hideAfter: 5000,
						loader: true
					});
				}
				else{
					$.toast({
						heading: "Aviso",
						text: "Erro ao Realizar a Transferência!",
						icon: "error",
						loader: true
					});
				}
			}, function(error){
				console.log("Erro: "+error);
			});
		});

		$(function(){
			if ($_GET("solicitar") == "true") {
				$.toast({
					heading: "Aviso",
					text: "Solicitação de Saque Realizada com Sucesso!",
					icon: "success",
					loader: true
				});
				window.history.pushState("", "", "<?php echo show_link(); ?>");
			}
		});

		$("#valor-saque").mask("#.##0,00", {reverse: true});
	</script>
<?php else: ?>
	<script>
		$("#solicitacao-indisponivel").click(function(){
			$.toast({
				heading: "Aviso",
				text: "Saque está indisponível, o saque estará disponível no(s) dia(s): <?php echo $config->dias_saque; ?>!",
				icon: "warning",
				hideAfter: 5000,
				loader: true
			});
		});
	</script>
<?php endif; ?>

<!-- Modal Tranferência de Dinheiro -->
<div class="modal fade" id="modal-transferir-dinheiro" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog modal-lg" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">
					<i class="fa-regular fa-envelope-open-dollar"></i> Transferir Saldo
				</h5>
			</div>
			<div class="modal-body" id="modal-content">
				<form id="form-transferir-dinheiro">
					<div class="form-group">
						<label for="id-usuario">ID<span class="text-danger">*</span></label>
						<div class="input-group">
							<div class="input-group-prepend">
								<div class="input-group-text"><i class="fa-regular fa-user"></i></div>
							</div>
							<input type="number" name="id_usuario" id="id-usuario" class="form-control" min="1" max="99999999999" step="1" data-toggle="popover" data-placement="bottom" data-trigger="hover" title="Aviso" data-content="Preencha aqui o ID da pessoa na qual você deseja transferir o dinheiro" required>
						</div>
					</div>
					<div class="form-group">
						<label for="valor-transferencia">Valor<span class="text-danger">*</span></label>
						<div class="input-group">
							<div class="input-group-prepend">
								<div class="input-group-text"><i class="fa-regular fa-dollar-sign"></i></div>
							</div>
							<input type="text" name="valor_transferencia" id="valor-transferencia" class="form-control" required>
						</div>
					</div>

					<button type="button" id="confirmar-transferencia" class="btn btn-success my-2">
						<i class="fa-regular fa-check"></i> Confirmar
					</button>
					<button type="button" class="btn btn-danger my-2 cancelar-transferir-dinheiro">
						<i class="fa-regular fa-times"></i> Cancelar
					</button>
				</form>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-white cancelar-transferir-dinheiro">
					<i class="fa-regular fa-times"></i> Cancelar
				</button>
			</div>
		</div>
	</div>
</div>

<!-- Modal Confirmar Transferência -->
<div class="modal fade" id="modal-confirmar-transferencia" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">
					<i class="fa-regular fa-exclamation-triangle"></i> Aviso
				</h5>
			</div>
			<div class="modal-body">
				<p id="modal-text">Tem certeza que deseja <strong>CONFIRMAR</strong> essa transferência para <strong id="nome-usuario-transferencia"></strong>?</p>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-white" data-dismiss="modal" onclick="$('#form-transferir-dinheiro').submit();">
					<i class="fa-regular fa-check"></i> Sim
				</button>
				<button type="button" class="btn btn-white" data-dismiss="modal">
					<i class="fa-regular fa-times"></i> Não
				</button>
			</div>
		</div>
	</div>
</div>

<script>
	$("#transferir-dinheiro").click(function(){
		$("#modal-transferir-dinheiro").modal("show");
	});

	$("#confirmar-transferencia").click(function(){
		if ($("#id-usuario").val() != "" && $("#valor-transferencia").val() != "") {
			$.post("<?php echo show_link("/obter-usuario/"); ?>", {id_usuario: $("#id-usuario").val()}, function(response, status){
				var result = $.parseJSON(response);

				if (result.status == true) {
					var data = result.data[0];

					$("#nome-usuario-transferencia").text(data.nome_usuario.toUpperCase());
					$("#modal-confirmar-transferencia").modal("show");
				}
				else{
					$.toast({
						heading: "Aviso",
						text: "ID Inválido!",
						icon: "warning",
						loader: true
					});
				}
			});
		}
		else{
			$.toast({
				heading: "Aviso",
				text: "Preencha todos os campos obrigatório!",
				icon: "warning",
				loader: true
			});
		}
	});

	$(".cancelar-transferir-dinheiro").click(function(){
		$("#modal-transferir-dinheiro").modal("hide");

		$("#form-transferir-dinheiro").each(function(){
			this.reset();
		});
	});

	$("#form-transferir-dinheiro").submit(function(event){
		event.preventDefault();
		var form = $(this);

		$.ajax({
			type: "POST",
			data: form.serialize(),
			url: "<?php echo show_link("/transferir-dinheiro/"); ?>",
			async: true
		}).then(function(response){
			var result = $.parseJSON(response);
			if (result.status == true) {
				form.each(function(){
					this.reset();
				});

				$("#modal-transferir-dinheiro").modal("hide");

				window.location.href = "?transferir=true";
			}
			else if (result.status == false && result.motivo == "ID") {
				$("#id-usuario").addClass("is-warning");
				$.toast({
					heading: "Aviso",
					text: "Esse ID não é válido!",
					icon: "warning",
					loader: true
				});
				$("#id-usuario").keyup(function(){
					$(this).removeClass("is-warning");
					$(this).off("keyup");
				});
			}
			else if (result.status == false && result.motivo == "valor_maior_zero") {
				$("#valor-transferencia").addClass("is-warning");
				$.toast({
					heading: "Aviso",
					text: "O valor da transferência deve ser maior que zero!",
					icon: "warning",
					loader: true
				});
				$("#valor-transferencia").keyup(function(){
					$(this).removeClass("is-warning");
					$(this).off("keyup");
				});
			}
			else if (result.status == false && result.motivo == "valor") {
				$("#valor-transferencia").addClass("is-warning");
				$.toast({
					heading: "Aviso",
					text: "Saldo insuficiente!",
					icon: "warning",
					loader: true
				});
				$("#valor-transferencia").keyup(function(){
					$(this).removeClass("is-warning");
					$(this).off("keyup");
				});
			}
			else{
				$.toast({
					heading: "Aviso",
					text: "Erro ao Realizar a Transferência!",
					icon: "error",
					loader: true
				});
			}
		}, function(error){
			console.log("Erro: "+error);
		});
	});

	$(function(){
		if ($_GET("transferir") == "true") {
			$.toast({
				heading: "Aviso",
				text: "Transferência Realizada com Sucesso!",
				icon: "success",
				loader: true
			});
			window.history.pushState("", "", "<?php echo show_link(); ?>");
		}
	});

	$("#valor-transferencia").mask("#.##0,00", {reverse: true});
</script>

<?php endif; ?>

<?php if (Session::get("tipo_usuario") == "2" and Session::get("usuario_ativo") == "S"): ?>
	<div class="content-box mt-3">
		<?php 

			import_file(DIR_MODELS."Model.class.php");

			$model = new Model();

			$maximo = 20;

			if (isset($_GET["pag"])) {
				$pagina = filter_input(INPUT_GET, "pag", FILTER_SANITIZE_NUMBER_INT);
			}
			else{
				$pagina = 1;
			}

			$pesquisa = filter_input(INPUT_GET, "pesquisa", FILTER_SANITIZE_STRING);
			$id_estado = (int) (isset($_GET["estado"])) ? filter_input(INPUT_GET, "estado", FILTER_SANITIZE_NUMBER_INT) : Session::get("id_estado");
			$id_cidade = (int) (isset($_GET["cidade"])) ? filter_input(INPUT_GET, "cidade", FILTER_SANITIZE_NUMBER_INT) : Session::get("id_cidade");
			$id_categoria = (!empty($_GET["categoria"])) ? (int) filter_input(INPUT_GET, "categoria", FILTER_SANITIZE_NUMBER_INT) : null;
			$id_subcategoria = (!empty($_GET["subcategoria"])) ? (int) filter_input(INPUT_GET, "subcategoria", FILTER_SANITIZE_NUMBER_INT) : null;

			$link_pagina = "";

			$link_pagina .= "pesquisa=".urlencode($pesquisa)."&";
			$link_pagina .= "categoria=".urlencode($id_categoria)."&";
			$link_pagina .= "subcategoria=".urlencode($id_subcategoria)."&";
			$link_pagina .= "estado=".urlencode($id_estado)."&";
			$link_pagina .= "cidade=".urlencode($id_cidade)."&";

			$query = "";

			if (!empty($id_estado) and is_numeric($id_estado)) {
				$query .= " AND id_estado = ".anti_injection($id_estado);
			}

			if (!empty($id_cidade) and is_numeric($id_cidade)) {
				$query .= " AND id_cidade = ".anti_injection($id_cidade);
			}

			if (!empty($id_categoria) and is_numeric($id_categoria)) {
				$query .= " AND id_categoria = ".anti_injection($id_categoria);
			}

			if (!empty($id_subcategoria) and is_numeric($id_subcategoria)) {
				$query .= " AND id_subcategoria = ".anti_injection($id_subcategoria);
			}

			$inicio = (($maximo*$pagina)-$maximo);

		?>


		<form action="" method="get">
			<div class="form-group">
				<label for="pesquisa">Pesquisa Livre</label>
				<input type="text" name="pesquisa" id="pesquisa" class="form-control" autocomplete="off" value="<?php echo $pesquisa; ?>">
			</div>

			<div class="form-row">
				<div class="col-xl-3 col-lg-3 col-md-6 col-sm-12">
					<div class="form-group">
						<label for="categoria">Categoria</label>
						<select name="categoria" id="categoria" class="form-control">
							<option value="">Todas</option>

							<?php

								$categorias = $model->query("SELECT * FROM categoria ORDER BY nome_categoria ASC");

								foreach ($categorias->fetchAll() as $i):

							?>
								<option value="<?php echo $i->id_categoria; ?>"><?php echo $i->nome_categoria; ?></option>
							<?php endforeach; ?>
						</select>
						<script>
							$(function(){
								$("#categoria").val("<?php echo $id_categoria; ?>");
							});
						</script>
					</div>
				</div>

				<div class="col-xl-3 col-lg-3 col-md-6 col-sm-12">
					<div class="form-group">
						<label for="subcategoria">Subcategoria</label>
						<select name="subcategoria" id="subcategoria" class="form-control">
							<option value="">Todas</option>

							<?php 

								if (!empty($id_categoria) and is_numeric($id_categoria)) {
									$subcategorias = $model->query("
										SELECT * FROM subcategoria 
										WHERE 
											id_categoria = :id 
										ORDER BY 
											nome_subcategoria ASC
									", [
										":id" => $id_categoria
									]);

									foreach ($subcategorias->fetchAll() as $i) {
										echo '<option value="'.$i->id_subcategoria.'" class="option-subcategoria">'.$i->nome_subcategoria.'</option>';
									}
								}

							?>
						</select>
						<script>
							$(function(){
								$("#subcategoria").val("<?php echo $id_subcategoria; ?>");
							});
						</script>
					</div>
				</div>
				
				<div class="col-xl-3 col-lg-3 col-md-6 col-sm-12">
					<div class="form-group">
						<label for="estado">Estado</label>
						<select name="estado" id="estado" class="form-control">
							<option value="">Todos</option>

							<?php

								$estados = $model->query("SELECT * FROM estado ORDER BY nome_estado ASC");

								foreach ($estados->fetchAll() as $i):

							?>
								<option value="<?php echo $i->id_estado; ?>"><?php echo $i->nome_estado; ?></option>
							<?php endforeach; ?>
						</select>
						<script>
							$(function(){
								$("#estado").val("<?php echo $id_estado; ?>");
							});
						</script>
					</div>
				</div>

				<div class="col-xl-3 col-lg-3 col-md-6 col-sm-12">
					<div class="form-group">
						<label for="cidade">Cidade</label>
						<select name="cidade" id="cidade" class="form-control">
							<option value="">Todas</option>

							<?php 

								if (!empty($id_estado) and is_numeric($id_estado)) {
									$cidades = $model->query("SELECT * FROM cidade WHERE id_estado = :id ORDER BY nome_cidade ASC", [":id" => $id_estado]);

									foreach ($cidades->fetchAll() as $i) {
										echo '<option value="'.$i->id_cidade.'" class="option-cidade">'.$i->nome_cidade.'</option>';
									}
								}

							?>
							<script>
								$(function(){
									$("#cidade").val("<?php echo $id_cidade; ?>");
								});
							</script>
						</select>
					</div>
				</div>
			</div>

			<button class="btn btn-primary">
				<i class="fa-regular fa-search"></i> Pesquisar
			</button>

			<a href="<?php echo show_link("/dashboard/"); ?>" class="btn btn-secondary">
				<i class="far fa-eraser"></i> Limpar
			</a>
		</form>

		<hr>

		<div class="form-row">
			<?php

				$result = $model->query("
					SELECT * FROM produto 
					INNER JOIN plano ON (plano.id_plano = produto.id_plano) 
					WHERE 
						status_produto = 'S' AND 
						quantidade_produto > 0 AND 
						(
							nome_produto LIKE :pesquisa OR
							valor_produto LIKE :pesquisa OR
							nome_plano LIKE :pesquisa
						)
						$query
					ORDER BY id_produto DESC
					LIMIT :maximo OFFSET :inicio
				", [
					":pesquisa" => "%".$pesquisa."%", 
					":maximo" => $maximo, 
					":inicio" => $inicio
				]);

				$n = 1;	

				foreach ($result->fetchAll() as $i):

			?>
				<div class="col-xl-3 col-lg-4 col-md-6 col-sm-12">
					<a href="<?php echo show_link("/visualizar-produto/?produto=".urlencode(encrypt_encode($i->id_produto))."&pesquisa=".$pesquisa."&categoria=".$id_categoria."&subcategoria=".$id_subcategoria."&estado=".$id_estado."&cidade=".$id_cidade."&pag=".$pagina); ?>" class="text-dark" style="text-decoration: none; padding: 0.375rem 0.75rem 0.375rem 0;">
						<div class="card my-2">
							<div 
								class="card-img-top" 
								style="
									width: 100%;
									height: 200px;
									background-image: url('<?php echo show_link($i->imagem_produto); ?>');
									background-repeat: no-repeat;
									background-position: center;
									background-size: cover;
							"></div>
							<div class="card-body border-top" style="padding: 0.75rem;">
								<div class="card-title" style="height: 60px; font-size: 18px;"><?php echo compress_string($i->nome_produto, 50); ?></div>
								<div class="card-text">
									<div class="form-row align-items-center">
										<div class="col-12" style="height: 55px;">
											<?php if (!empty($i->porcentagem_desc_cliente)): ?>
												<div class="text-secondary" style="text-decoration: line-through; font-size: 13px;">
													<?php echo money_mask_BR($i->valor_produto); ?>
												</div>
												<div class="text-success" style="font-size: 20px;">
													<strong><?php echo money_mask_BR($i->valor_produto - ($i->valor_produto * pct($i->porcentagem_desc_cliente))); ?></strong>
												</div>
											<?php else: ?>
												<div class="text-success" style="font-size: 20px;">
													<strong><?php echo money_mask_BR($i->valor_produto - ($i->valor_produto * pct($i->porcentagem_desc_cliente))); ?></strong>
												</div>
											<?php endif; ?>
										</div>
										<div class="col text-right mt-2 mb-0" style="height: 25px;">
											<?php if (!empty($i->porcentagem_cashback)): ?>
												<span class="badge badge-info">
													<?php echo "Cashback ".number_format($i->porcentagem_cashback, 2, ",", "")."%"; ?>	
												</span>
											<?php endif; ?>
											<?php if (!empty($i->porcentagem_desc_cliente)): ?>
												<span class="badge badge-success">
													<?php echo "<i class='fa-regular fa-arrow-down'></i> ".number_format($i->porcentagem_desc_cliente, 2, ",", "")."%"; ?>	
												</span>
											<?php endif; ?>
										</div>
									</div>
								</div>
							</div>
						</div>
					</a>
				</div>
				<?php $n++; ?>
			<?php endforeach; ?>
		</div>

		<ul class="pagination justify-content-center mt-2" style="margin-bottom: -15px;">
			<?php 

				$busca = $model->query("
					SELECT * FROM produto 
					INNER JOIN plano ON (plano.id_plano = produto.id_plano) 
					WHERE
						status_produto = 'S' AND 
						quantidade_produto > 0 AND 
						(
							nome_produto LIKE :pesquisa OR
							valor_produto LIKE :pesquisa OR
							nome_plano LIKE :pesquisa
						)
						$query
					ORDER BY id_produto DESC
				", [
					":pesquisa" => "%".$pesquisa."%"
				]);

				$total  = $busca->rowCount();

				$total_paginas = ceil($total/$maximo);
							   
				if ($pagina <= $total_paginas and $pagina > 1) {
	 				echo '<li class="page-item"><a href="?'.$link_pagina.'pag='.($pagina-1).'" class="page-link"><span aria-hidden="true">&laquo;</span></a> </li>';
				}

				echo ' <li class="page-item active"><p class="page-link">'.$pagina.'</p></li> ';

				if ($pagina < $total_paginas) {	
					echo '<li class="page-item"><a href="?'.$link_pagina.'pag='.($pagina+1).'" class="page-link"><span aria-hidden="true">&raquo;</span></a></li> ';
				}
				
			?>
		</ul>
	</div>

	<script>
		$("#estado").change(function(){
			var id = $(this).val();

			$(".option-cidade").remove();

			if ($(this).val() != "") {
				$.ajax({
					type: "POST",
					data: {id_estado: id},
					url: "<?php echo show_link("/obter-cidades/"); ?>",
					async: true
				}).then(function(response){
					var result = $.parseJSON(response);

					if (result.status == true) {
						var html = "";

						$.each(result.dados, function(i, data){
							html += '<option value="'+data.id_cidade+'" class="option-cidade">'+data.nome_cidade+'</option>';
							console.log(data);
						});

						$("#cidade").append(html);
					}
				}, function(error){
					console.log("Erro: "+error);
				});
			}
		});

		$("#categoria").change(function(){
			var id_categoria = $(this).val();

			$(".option-subcategoria").remove();

			if ($(this).val() != "") {
				$.ajax({
					type: "POST",
					data: {id_categoria: id_categoria},
					url: "<?php echo show_link("/obter-subcategorias/"); ?>",
					async: true
				}).then(function(response){
					var result = $.parseJSON(response);

					if (result.status == true) {
						var html = "";

						$.each(result.dados, function(i, data){
							html += '<option value="'+data.id_subcategoria+'" class="option-subcategoria">'+data.nome_subcategoria+'</option>';
							console.log(data);
						});

						$("#subcategoria").append(html);
					}
				}, function(error){
					console.log("Erro: "+error);
				});
			}
		});
	</script>

	<?php 

		$result = $model->query("
			SELECT * FROM loja 
			ORDER BY RAND()
			LIMIT 8
		");

	?>

	<div class="content-box mt-3">
		<h5 class="mb-3">Lojas Parceiras</h5>

		<div id="lojas" class="owl-carousel">
			<?php foreach ($result->fetchAll() as $i): ?>
				<div class="mx-2">
					<a href="<?php echo show_link("/visualizar-loja/?loja=".urlencode(encrypt_encode($i->id_loja))."&pesquisa=".$pesquisa."&categoria=".$id_categoria."&subcategoria=".$id_subcategoria."&estado=".$id_estado."&cidade=".$id_cidade."&pag=".$pagina); ?>" class="link-produto" style="text-decoration: none; padding: 0.375rem 0.75rem 0.375rem 0;" target="_blank">
						<div class="card">
							<div id="<?php echo "banner-loja-".$n; ?>" class="card-img-top" style="width: 100%; height: 230px;"></div>
							<script>
								$(function(){
									resizeImage("<?php echo "#banner-loja-".$n; ?>", "<?php echo show_link($i->banner_loja); ?>");
								});	
							</script>
						</div>
					</a>
				</div>
			<?php $n++; ?>
			<?php endforeach; ?>
		</div>
	</div>

	<script>
		$(function() {
			var produto_destaque = $("#lojas").owlCarousel({
				items: 2, 
				itemsDesktop: [1200,2], 
				itemsDesktopSmall: [900,2], 
				itemsTablet: [600,2],
				itemsMobile: [500,1],
				lazyLoad: true
			});
		});
	</script>
<?php endif; ?>

<?php if (Session::get("tipo_usuario") == "6"): ?>
<?php import_file(DIR_LIBRARIES."functions.php"); ?>
<?php $config = obter_configuracao(); ?>

<div class="row align-items-center">
	<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
		<div class="card bg-success text-white o-hidden h-100 my-2">
			<div class="card-body">
				<div class="card-body-icon">
					<i class="fad fa-money-check-alt"></i>
				</div>
				<div class="form-row align-items-center">
					<div class="col-6">
						<h5 class="mb-0">Seu Saldo</h5>
					</div>
					<div class="col-6 text-right">
						<h5 class="mb-0">
							<strong><?php echo money_mask_BR(obter_saldo(Session::get("id_usuario"))); ?></strong>
						</h5>
					</div>
				</div>
			</div>
			<div class="card-footer">
				<?php if ($config->periodo_saque == "N" or in_array(date("d"), explode(",", preg_replace("/[^\d\,]/", "", $config->dias_saque)))): ?>
					<button type="button" id="solicitar-saque" class="btn btn-link text-white" style="text-decoration: none; padding: 0.375rem 0.75rem 0.375rem 0;">
						<i class="fa-regular fa-sack-dollar"></i> Solicitar Saque
					</button>
				<?php else: ?>
					<button type="button" id="solicitacao-indisponivel" class="btn btn-link text-white" style="text-decoration: none; padding: 0.375rem 0.75rem 0.375rem 0;">
						<i class="fa-regular fa-sack-dollar"></i> Solicitar Saque
					</button>
				<?php endif; ?>
				<button type="button" id="comprar-saldo" class="btn btn-link text-white" style="text-decoration: none; padding: 0.375rem 0.75rem 0.375rem 0;">
					<i class="fa-regular fa-plus"></i> Comprar Saldo
				</button>
			</div>
		</div>
	</div>
</div>

<!-- Modal Comprar Saldo -->
<div class="modal fade" id="modal-comprar-saldo" tabindex="-1" role="dialog" aria-hidden="true">
	<div class="modal-dialog modal-lg" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title">
					<i class="fa-regular fa-plus"></i> Comprar Saldo
				</h5>
			</div>
			<div class="modal-body" id="modal-content">
				<form id="form-comprar-saldo">
					<div class="form-group">
						<label for="valor-saldo">Valor<span class="text-danger">*</span></label>
						<div class="input-group">
							<div class="input-group-prepend">
								<div class="input-group-text">
									<i class="fa-regular fa-dollar-sign"></i>
								</div>
							</div>
							<input type="text" name="valor_saldo" id="valor-saldo" class="form-control" required>
						</div>
					</div>

					<div class="form-group">
						<label for="forma-pagamento">Forma de Pagamento<span class="text-danger">*</span></label>
						<select name="forma_pagamento" id="forma-pagamento" class="form-control" required>
							<option value="">Selecione um...</option>
							<option value="Transferência Bancária">Transferência Bancária</option>
							<option value="PagSeguro">PagSeguro</option>
						</select>
					</div>

					<div id="info-bancaria" class="alert mt-3 mb-0" style="display: none; border: 1px solid rgba(0,0,0,0.125); border-radius: 0.25rem;">
						<h5 class="mb-3">
							<?php echo $config->nome_banco; ?>
						</h5>

						<p class="mb-0">
							<strong>Agência:</strong> <?php echo $config->numero_agencia; ?>
						</p>
						<p class="mb-0">
							<strong>Conta:</strong> <?php echo $config->numero_conta; ?>
						</p>
						<p>
							<strong>PIX:</strong> <?php echo $config->pix; ?>
						</p>

						<p class="mb-0">
							<strong>Razão Social:</strong> <?php echo $config->razao_social; ?>
						</p>
						<p>
							<strong>CNPJ:</strong> <?php echo $config->cnpj_empresa; ?>
						</p>
						<p class="mb-0">
							<strong>Aviso:</strong> 
							Envie o comprovante de transferência bancária no e-mail 
							<a href="javascript:void(0)" onclick="copyText('<?php echo $config->email_confirmacao; ?>', function(){
								$.toast({
									heading: 'Aviso',
									text: 'E-mail copiado com sucesso!',
									icon: 'success',
									hideAfter: 5000,
									loader: true
								})
							})">
								<?php echo $config->email_confirmacao; ?>
							</a> 
							em até 72h para está cofirmando o seu pagamento!
						</p>
					</div>

					<button type="submit" class="btn btn-success my-2">
						<i class="fa-regular fa-check"></i> Confirmar
					</button>
					<button type="button" class="btn btn-danger my-2 cancelar-comprar-saldo">
						<i class="fa-regular fa-times"></i> Cancelar
					</button>
				</form>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-white cancelar-comprar-saldo">
					<i class="fa-regular fa-times"></i> Cancelar
				</button>
			</div>
		</div>
	</div>
</div>

<script>
	$("#comprar-saldo").click(function(){
		$("#modal-comprar-saldo").modal("show");
	});

	$(".cancelar-comprar-saldo").click(function(){
		$("#modal-comprar-saldo").modal("hide");

		$("#form-comprar-saldo").each(function(){
			this.reset();
		});

		$("#info-bancaria").fadeOut(0);
	});

	$("#forma-pagamento").change(function(){
		if ($(this).val() == "Transferência Bancária") {
			$("#info-bancaria").fadeIn(0);
		}
		else{
			$("#info-bancaria").fadeOut(0);
		}
	});

	$("#form-comprar-saldo").submit(function(event){
		event.preventDefault();
		var form = $(this);

		$.ajax({
			type: "POST",
			data: form.serialize(),
			url: "<?php echo show_link("/comprar-saldo/"); ?>",
			async: true
		}).then(function(response){
			var result = $.parseJSON(response);

			if (result.status == true) {
				form.each(function(){
					this.reset();
				});

				$("#modal-comprar-saldo").modal("hide");

				if (result.form_payment == "PagSeguro") {
					window.location.href = result.link;
				}

				$.toast({
					heading: "Aviso",
					text: "Compra de Saldo Realizada com Sucesso!",
					icon: "success",
					loader: true
				});
			}
			else if (result.status == false && result.reason == "valor_maior_zero") {
				$("#valor-saldo").addClass("is-warning");
				$.toast({
					heading: "Aviso",
					text: "O valor solicitado deve ser maior que zero!",
					icon: "warning",
					loader: true
				});
				$("#valor-saldo").keyup(function(){
					$(this).removeClass("is-warning");
					$(this).off("keyup");
				});
			}
			else{
				$.toast({
					heading: "Aviso",
					text: "Erro ao Realizar a Compra de Saldo!",
					icon: "error",
					loader: true
				});
			}
		}, function(error){
			console.log("Erro: "+error);
		});
	});

	$("#valor-saldo").mask("#.##0,00", {reverse: true});
</script>

<?php if ($config->periodo_saque == "N" or in_array(date("d"), explode(",", preg_replace("/[^\d\,]/", "", $config->dias_saque)))): ?>
	<!-- Modal Solicitar Saque -->
	<div class="modal fade" id="modal-solicitar-saque" tabindex="-1" role="dialog" aria-hidden="true">
		<div class="modal-dialog modal-lg" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title">
						<i class="fa-regular fa-sack-dollar"></i> Solicitar Saque
					</h5>
				</div>
				<div class="modal-body" id="modal-content">
					<div class="d-flex justify-content-between align-items-center">
						<p><strong>Valor mínimo para saque:</strong> <?php echo money_mask_BR($config->valor_minimo_saque); ?></p>
						<?php if ($config->cobrar_taxa == "S"): ?>
							<?php if ($config->taxa_fixa == "S"): ?>
								<p><strong>Taxa de saque:</strong> <?php echo money_mask_BR($config->valor_taxa); ?></p>
							<?php else: ?>
								<p><strong>Taxa de saque:</strong> <?php echo "%".intval($config->valor_taxa); ?></p>
							<?php endif; ?>
						<?php endif; ?>
					</div>

					<div class="alert mb-3" style="border: 1px solid rgba(0,0,0,0.125); border-radius: 0.25rem;">
						<strong><i class="fa-regular fa-exclamation-circle"></i> Aviso</strong><br>
						<?php if ($config->cobrar_taxa == "S"): ?>
							O valor da taxa de saque será descontado do valor solicitado.<br>
						<?php endif ?>
						O prazo para depósito na conta é de até 15 dias após a data da solicitação.
					</div>

					<form id="form-solicitar-saque">
						<div class="form-group">
							<label for="valor-saque">Valor<span class="text-danger">*</span></label>
							<div class="input-group">
								<div class="input-group-prepend">
									<div class="input-group-text">
										<i class="fa-regular fa-dollar-sign"></i>
									</div>
								</div>
								<input type="text" name="valor_saque" id="valor-saque" class="form-control" required>
							</div>
						</div>

						<button type="button" id="confirmar-solicitar-saque" class="btn btn-success my-2">
							<i class="fa-regular fa-check"></i> Confirmar
						</button>
						<button type="button" class="btn btn-danger my-2 cancelar-solicitar-saque">
							<i class="fa-regular fa-times"></i> Cancelar
						</button>
					</form>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-white cancelar-solicitar-saque">
						<i class="fa-regular fa-times"></i> Cancelar
					</button>
				</div>
			</div>
		</div>
	</div>

	<!-- Modal Confirmar Saque -->
	<div class="modal fade" id="modal-confirmar-solicitar-saque" tabindex="-1" role="dialog" aria-hidden="true">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title">
						<i class="fa-regular fa-exclamation-triangle"></i> Aviso
					</h5>
				</div>
				<div class="modal-body">
					<p id="modal-text">Tem certeza que deseja <strong>CONFIRMAR</strong> essa Solicitação de Saque?</p>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-white" data-dismiss="modal" onclick="$('#form-solicitar-saque').submit();">
						<i class="fa-regular fa-check"></i> Sim
					</button>
					<button type="button" class="btn btn-white" data-dismiss="modal">
						<i class="fa-regular fa-times"></i> Não
					</button>
				</div>
			</div>
		</div>
	</div>

	<script>
		$("#solicitar-saque").click(function(){
			$("#modal-solicitar-saque").modal("show");
		});

		$("#confirmar-solicitar-saque").click(function(){
			if ($("#valor-saque").val() != "") {
				$("#modal-confirmar-solicitar-saque").modal("show");
			}
			else{
				$("#valor-saque").addClass("is-warning");
				$.toast({
					heading: "Aviso",
					text: "Preencha o valor que deseja sacar!",
					icon: "warning",
					loader: true
				});
				$("#valor-saque").keyup(function(){
					$(this).removeClass("is-warning");
					$(this).off("keyup");
				});
			}
		});

		$(".cancelar-solicitar-saque").click(function(){
			$("#modal-solicitar-saque").modal("hide");

			$("#form-solicitar-saque").each(function(){
				this.reset();
			});
		});

		$("#form-solicitar-saque").submit(function(event){
			event.preventDefault();
			var form = $(this);

			$.ajax({
				type: "POST",
				data: form.serialize(),
				url: "<?php echo show_link("/solicitar-saque/"); ?>",
				async: true
			}).then(function(response){
				var result = $.parseJSON(response);
				if (result.status == true) {
					form.each(function(){
						this.reset();
					});

					$("#modal-solicitar-saque").modal("hide");

					window.location.href = "?solicitar=true";
				}
				else if (result.status == false && result.motivo == "valor") {
					$("#valor-transferencia").addClass("is-warning");
					$.toast({
						heading: "Aviso",
						text: "Saldo insuficiente!",
						icon: "warning",
						loader: true
					});
					$("#valor-transferencia").keyup(function(){
						$(this).removeClass("is-warning");
						$(this).off("keyup");
					});
				}
				else if (result.status == false && result.motivo == "valor_minimo_saque") {
					$.toast({
						heading: "Aviso",
						text: "O valor do saque tem que ser maior ou igual a <?php echo money_mask_BR($config->valor_minimo_saque); ?>!",
						icon: "warning",
						hideAfter: 5000,
						loader: true
					});
				}
				else if (result.status == false && result.motivo == "dados_bancarios") {
					$.toast({
						heading: "Aviso",
						text: "É necessário cadastrar uma conta bancária, vá em perfil e atualize os seus dados!",
						icon: "warning",
						hideAfter: 5000,
						loader: true
					});
				}
				else{
					$.toast({
						heading: "Aviso",
						text: "Erro ao Realizar a Transferência!",
						icon: "error",
						loader: true
					});
				}
			}, function(error){
				console.log("Erro: "+error);
			});
		});

		$(function(){
			if ($_GET("solicitar") == "true") {
				$.toast({
					heading: "Aviso",
					text: "Solicitação de Saque Realizada com Sucesso!",
					icon: "success",
					loader: true
				});
				window.history.pushState("", "", "<?php echo show_link(); ?>");
			}
		});

		$("#valor-saque").mask("#.##0,00", {reverse: true});
	</script>
<?php else: ?>
	<script>
		$("#solicitacao-indisponivel").click(function(){
			$.toast({
				heading: "Aviso",
				text: "Saque está indisponível, o saque estará disponível no(s) dia(s): <?php echo $config->dias_saque; ?>!",
				icon: "warning",
				hideAfter: 5000,
				loader: true
			});
		});
	</script>
<?php endif; ?>
<?php endif; ?>

<?php import_file(DIR_TEMPLATES."footer.php"); ?>